#
# spec file for package wqy-bitmap-fonts
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wqy-bitmap-fonts
Version:        0.9.9_0
Release:        17.4
%define fontdir     %{_fontsdir}/Chinese/wqy-bitmapfont
Summary:        Wen Quan Yi Bitmap Song CJK Fonts
License:        GPL-2.0-with-font-exception
Group:          System/X11/Fonts
Url:            http://wenq.org/
Source0:        wqy-bitmapfont-pcf-0.9.9-0.tar.gz
# silents "Having multiple values in <test> isn't supported and may not works as expected"
Patch0:         wqy-bitmap-fonts-conf.patch
BuildRequires:  fontpackages-devel
Requires(pre):  fontconfig
%reconfigure_fonts_prereq
Provides:       wqy-bitmapfont = %{version}
Obsoletes:      wqy-bitmapfont < 0.9.9_0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The Wen Quan Yi bitmap font includes complete CJK Unified
Ideograph (U4E00 - U9FA5) glyphs at four different sizes
(9pt-12X12 pixel, 10pt-13X13 pixel, 11pt-15X15 pixel,
12pt-16x16 pixel) and two weights (medium and bold).

%prep
%setup -n wqy-bitmapfont
sed -i "s/equal/qual/" 85-wqy-bitmapsong.conf
%patch -P 0 -p1

%build

%install
mkdir -p %{buildroot}%{fontdir}
install -m 644 *.pcf %{buildroot}%{fontdir}
gzip -n -9 %{buildroot}%{fontdir}/*.pcf
install -c -m 644 fonts.alias %{buildroot}%{fontdir}/fonts.scale
mkdir -p %{buildroot}%{_datadir}/icons/
cp LOGO.png %{buildroot}%{_datadir}/icons/wqy-bitmapsong.png
%install_fontsconf 85-wqy-bitmapsong.conf

%reconfigure_fonts_scriptlets -c

%files
%defattr(-, root,root)
%doc AUTHORS README COPYING ChangeLog
%{_fontsdir}/Chinese
%files_fontsconf_availdir
%files_fontsconf_file -l 85-wqy-bitmapsong.conf
%{_datadir}/icons/wqy-bitmapsong.png

%changelog
* Tue Feb 20 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Sat Apr 29 2017 bwiedemann@suse.com
- call gzip -n to make build fully reproducible
* Mon Apr  8 2013 i@marguerite.su
- fix bnc#813988: fontconfig error: invalid attribute 'equal'.
- fix a few warnings.
* Thu Mar 21 2013 pgajdos@suse.com
- fix invalid attribute in conf.patch
* Tue Oct 16 2012 pgajdos@suse.com
- silented "Having multiple values in <test> isn't supported and may
  not works as expected"
  * conf.patch
* Mon Oct  8 2012 pgajdos@suse.com
- use %%files_fontsconf_availdir and %%files_fontsconf_file macros
* Wed Oct  3 2012 pgajdos@suse.com
- use %%install_fontsconf macro which calls %%link_avail_to_system_fontsconf
  itself
* Tue Oct  2 2012 pgajdos@suse.com
- install avail configuration into /usr/share/%%{name}/conf.avail
  and use %%link_avail_to_system_fontsconf macro for linking it into
  /etc/fonts/conf.d (fontconfig 2.10 doesn't use /etc/fonts/conf.avail)
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
- removed build dependencies: bdfresize, xorg-x11
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Thu Mar 29 2012 pgajdos@suse.com
- GPL-2.0-with-font-exception license
* Thu Dec 22 2011 tiwai@suse.de
- Renamed wqy-bitmapfont -> wqy-bitmap-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
* Wed Nov 10 2010 lnussel@suse.de
- compress *.pcf
* Fri Apr  9 2010 tiwai@suse.de
- remove unnecessary buildrequires for too old distros
- fix filelist, minor clean-ups of spec file
* Thu Apr  8 2010 tiwai@suse.de
- remove unnecessary buildrequires for too old distros
* Thu Feb 11 2010 mxwu@novell.com
- Initial import.
